Announcement Announcement Module
Collapse
No announcement yet.
maven repository location + facebook social M2 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • maven repository location + facebook social M2

    Can someone point to me the maven repository location to download spring-social-facebook:1.0.0.M2 ?.

    I am using this but its not downloading this file. My repository locations are as follows:

    <repositories>
    <repository>
    <snapshots>
    <enabled>false</enabled>
    </snapshots>
    <id>org.springframework.maven.milestone</id>
    <name>Spring Maven Milestone Repository</name>
    <url>http://maven.springframework.org/milestone</url>
    </repository>
    <repository>
    <releases>
    <enabled>false</enabled>
    </releases>
    <id>org.springframework.maven.snapshot</id>
    <name>Spring Maven Snapshot Repository</name>
    <url>http://maven.springframework.org/snapshot</url>
    </repository>
    <repository>
    <snapshots>
    <enabled>false</enabled>
    </snapshots>
    <id>org.springframework.maven.release</id>
    <name>Spring Maven Release Repository</name>
    <url>http://maven.springframework.org/release</url>
    </repository>
    </repositories>


    Can someone point me to the right repository location ?.

    thanks

  • #2
    On the surface, your repository config looks right, but there could be something subtle that's hard to see in how it is formatted in the forum.

    I'm using the following repositories in the Spring Social showcase and just confirmed that they do download M2 artifacts.

    Code:
                    <repository>
                            <id>org.springframework.maven.release</id>
                            <name>Spring Maven Release Repository</name>
                            <url>http://maven.springframework.org/release</url>
                            <releases><enabled>true</enabled></releases>
                            <snapshots><enabled>false</enabled></snapshots>
                    </repository>
                    <!-- For testing against latest Spring snapshots -->
                    <repository>
                            <id>org.springframework.maven.snapshot</id>
                            <name>Spring Maven Snapshot Repository</name>
                            <url>http://maven.springframework.org/snapshot</url>
                            <releases><enabled>false</enabled></releases>
                            <snapshots><enabled>true</enabled></snapshots>
                    </repository>
                    <!-- For developing against latest Spring milestones -->
                    <repository>
                            <id>org.springframework.maven.milestone</id>
                            <name>Spring Maven Milestone Repository</name>
                            <url>http://maven.springframework.org/milestone</url>
                            <snapshots><enabled>false</enabled></snapshots>
                    </repository>

    Comment


    • #3
      Another thing that might be the problem: It's my understanding that Amazon Web Services has had some hiccups in the past day or so. Since these Maven repos are hosted on S3, maybe your build failed to pull those artifacts because S3 was down?

      Comment


      • #4
        thanks Habuma. I just now tried and it still doesn't download anything.
        This is what I tried:
        1. I checked the repository is setup as mentioned above
        2. From Eclipse, open pom.xml and go to Dependencies tab. Click "Add". On the right Dependency details,

        GroupId: org.springframework.social
        ArtifactId: spring-social-facebook
        Version: 1.0.0.M2
        Type: pom
        scope: compile
        save pom.xml file and I get the following

        This is the maven console messages:

        4/21/11 7:46:21 AM PDT: Refreshing [/site/pom.xml, /myproj/pom.xml]
        4/21/11 7:46:22 AM PDT: Maven Builder: AUTO_BUILD


        Is the version number(1.0.0.M2) above correct ?

        thanks again

        Comment


        • #5
          Looks like the dependency specifics are correct. 1.0.0.M2 is the correct version. I just tried again on a machine that recently had a fresh HD installed (thus, no existing local Maven repo to pull from) and it pulled the M2 dependencies with no problems.

          Here's what I had for the dependency:

          Code:
          <dependency>
              <groupId>org.springframework.social</groupId>
              <artifactId>spring-social-core</artifactId>
              <version>1.0.0.M2</version>
          </dependency>
          And I showed above what I used for the repository configuration.

          If yours matches this, then I'm puzzled. Are you running inside of a corporate firewall or some situation that would prevent you from fetching from those repositories? Can you fetch any other Spring milestone dependencies (outside of social)?

          Comment


          • #6
            thanks. It gets other spring-social v1.0.0.M2 just fine though

            I am able to fetch spring-social-web, spring-social-core version 1.0.0.M2 successfully. No problems.
            Only for spring-social-facebook version 1.0.0.M2, its not fetching it.

            My dependency is this:
            <dependency>
            <groupId>org.springframework.social</groupId>
            <artifactId>spring-social-facebook</artifactId>
            <version>1.0.0.M2</version>
            <type>pom</type>
            <scope>compile</scope>
            </dependency>

            So, I don't think firewall issues because it gets other jars just fine for version 1.0.0.M2. Not sure where its wrong.

            Comment


            • #7
              I just copy and pasted dependency you sent and that worked

              I copied the dependency into pom.xml
              <dependency>
              <groupId>org.springframework.social</groupId>
              <artifactId>spring-social-core</artifactId>
              <version>1.0.0.M2</version>
              </dependency>

              and this worked. It looks like it didn't like type, scope.

              thanks a lot for your help

              Comment

              Working...
              X